> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Get package



## OpenAPI

````yaml en/openapi/v3-current/ledger.yaml get /v1/organizations/{organization_id}/packages/{package_id}
openapi: 3.1.0
info:
  title: Midaz Ledger API
  description: >-
    Complete API reference for Midaz Ledger services including organization
    management, ledger operations, assets, segments, portfolios, accounts,
    account types, transactions, operations, balances, operation routes,
    transaction routes, and metadata indexes.
  version: 3.7.8
servers:
  - url: https://ledger.sandbox.lerian.net
security: []
tags:
  - name: Organizations API
  - name: Ledgers API
  - name: Assets API
  - name: Segments API
  - name: Portfolios API
  - name: Account Types API
  - name: Accounts API
  - name: Balances API
  - name: Transactions API
  - name: Operations API
  - name: Operation Routes API
  - name: Transaction Routes API
  - name: Metadata Indexes API
  - name: Holders API
  - name: Instruments API
  - name: Billing Packages API
  - name: Packages API
  - name: Billing Calculation API
  - name: Estimation API
  - name: Encryption API
  - name: Protection API
  - name: Asset Rates API
paths:
  /v1/organizations/{organization_id}/packages/{package_id}:
    get:
      tags:
        - Packages API
      summary: Get package
      parameters:
        - $ref: '#/components/parameters/OrganizationId'
        - name: package_id
          in: path
          required: true
          description: Package ID (UUID)
          schema:
            type: string
        - $ref: '#/components/parameters/XRequestId'
        - $ref: '#/components/parameters/Authorization'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeePackage'
        default:
          description: Error
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    OrganizationId:
      name: organization_id
      in: path
      description: The unique identifier of the Organization associated with the Ledger.
      required: true
      example: 019c96a0-0a98-7287-9a31-786e0809c769
      schema:
        type: string
        format: uuid
    XRequestId:
      name: X-Request-Id
      in: header
      description: A unique identifier used to trace and track each request.
      required: false
      example: 019c96a0-0a98-7287-9a31-786e0809c769
      schema:
        type: string
        format: uuid
    Authorization:
      name: Authorization
      in: header
      required: false
      schema:
        type: string
      description: >
        Bearer JWT token for authentication.

        Required when `PLUGIN_AUTH_ENABLED=true` (enforced in multi-tenant
        deployments).

        Optional in default OSS single-tenant mode.

        Format: `Bearer <token>`
  schemas:
    FeePackage:
      additionalProperties: false
      properties:
        createdAt:
          examples:
            - '2021-01-01T00:00:00Z'
          format: date-time
          type: string
        deletedAt:
          examples:
            - '2021-01-01T00:00:00Z'
          format: date-time
          type:
            - string
            - 'null'
        description:
          examples:
            - Pacote de taxas administrativas padrão
          type:
            - string
            - 'null'
        enable:
          type:
            - boolean
            - 'null'
        feeGroupLabel:
          examples:
            - Pacote Padrão
          type: string
        fees:
          additionalProperties:
            $ref: '#/components/schemas/Fee'
          type: object
        id:
          examples:
            - 00000000-0000-0000-0000-000000000000
          type: string
        ledgerId:
          examples:
            - 00000000-0000-0000-0000-000000000000
          type: string
        maximumAmount:
          examples:
            - '2'
          minimum: 0
          type: string
        minimumAmount:
          examples:
            - '100'
          minimum: 0
          type: string
        segmentId:
          examples:
            - 00000000-0000-0000-0000-000000000000
          type: string
        transactionRoute:
          examples:
            - debitoted
          type:
            - string
            - 'null'
        updatedAt:
          examples:
            - '2021-01-01T00:00:00Z'
          format: date-time
          type: string
        waivedAccounts:
          examples:
            - - acc001
              - acc002
          items:
            type: string
          type:
            - array
            - 'null'
      required:
        - id
        - feeGroupLabel
        - description
        - segmentId
        - ledgerId
        - transactionRoute
        - minimumAmount
        - maximumAmount
        - waivedAccounts
        - fees
        - enable
        - createdAt
        - updatedAt
        - deletedAt
      type: object
    Error:
      additionalProperties: false
      properties:
        code:
          description: >-
            Stable, machine-readable domain error code scoped to the emitting
            service (format: <SERVICE>-NNNN).
          examples:
            - ERR-0001
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    Fee:
      additionalProperties: false
      properties:
        calculationModel:
          $ref: '#/components/schemas/FeeCalculationModel'
        creditAccount:
          examples:
            - conta_receita_taxas_adm
          type: string
        feeLabel:
          examples:
            - Taxa Administrativa
          type: string
        isDeductibleFrom:
          examples:
            - true
          type:
            - boolean
            - 'null'
        priority:
          examples:
            - 1
          format: int64
          type: integer
        referenceAmount:
          examples:
            - originalAmount
          type: string
        routeFrom:
          examples:
            - taxa_débito
          type: string
        routeTo:
          examples:
            - taxa_crédito
          type: string
      required:
        - feeLabel
        - calculationModel
        - referenceAmount
        - isDeductibleFrom
        - creditAccount
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
    FeeCalculationModel:
      additionalProperties: false
      properties:
        applicationRule:
          examples:
            - maxBetweenTypes
          type: string
        calculations:
          items:
            $ref: '#/components/schemas/FeeCalculation'
          type:
            - array
            - 'null'
      required:
        - applicationRule
        - calculations
      type: object
    FeeCalculation:
      additionalProperties: false
      properties:
        type:
          examples:
            - percentage
          type: string
        value:
          examples:
            - '100.00'
          type: string
      required:
        - type
        - value
      type: object

````